import _pt from "prop-types";
import React from "react";
const variantTypes = {
  filled: "filled",
  outlined: "outlined",
  rounded: "rounded"
};
const sizeTypes = {
  sm: "sm",
  md: "md",
  lg: "lg"
};
export default function FormButton(props) {
  const {
    children,
    size = 'sm',
    variant = "filled",
    innerRef,
    onClick = () => {
      /* */
    },
    startIcon = null,
    endIcon = null
  } = props;

  const onClickHandler = e => {
    onClick(e);
    e.stopPropagation();
    e.preventDefault();
  };

  return (
    /*#__PURE__*/
    React.createElement(React.Fragment, null,
    /*#__PURE__*/
    React.createElement("button", {
      onClick: onClickHandler,
      ref: innerRef,
      "data-testid": props.id
    }, startIcon &&
    /*#__PURE__*/
    React.createElement("span", {
      "data-testid": "sticon"
    }, startIcon), children, endIcon &&
    /*#__PURE__*/
    React.createElement("span", {
      "data-testid": "endicon"
    }, endIcon)))
  );
}
FormButton.propTypes = {
  children: _pt.node,
  variant: _pt.any,
  size: _pt.any,
  onClick: _pt.func,
  id: _pt.string
};
//# sourceMappingURL=index.js.map