"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FormButton;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var variantTypes = {
  filled: "filled",
  outlined: "outlined",
  rounded: "rounded"
};
var sizeTypes = {
  sm: "sm",
  md: "md",
  lg: "lg"
};

function FormButton(props) {
  var children = props.children,
      _props$size = props.size,
      size = _props$size === void 0 ? 'sm' : _props$size,
      _props$variant = props.variant,
      variant = _props$variant === void 0 ? "filled" : _props$variant,
      innerRef = props.innerRef,
      _props$onClick = props.onClick,
      onClick = _props$onClick === void 0 ? function () {
    /* */
  } : _props$onClick,
      _props$startIcon = props.startIcon,
      startIcon = _props$startIcon === void 0 ? null : _props$startIcon,
      _props$endIcon = props.endIcon,
      endIcon = _props$endIcon === void 0 ? null : _props$endIcon;

  var onClickHandler = function onClickHandler(e) {
    onClick(e);
    e.stopPropagation();
    e.preventDefault();
  };

  return (
    /*#__PURE__*/
    _react.default.createElement(_react.default.Fragment, null,
    /*#__PURE__*/
    _react.default.createElement("button", {
      onClick: onClickHandler,
      ref: innerRef,
      "data-testid": props.id
    }, startIcon &&
    /*#__PURE__*/
    _react.default.createElement("span", {
      "data-testid": "sticon"
    }, startIcon), children, endIcon &&
    /*#__PURE__*/
    _react.default.createElement("span", {
      "data-testid": "endicon"
    }, endIcon)))
  );
}

FormButton.propTypes = {
  children: _propTypes.default.node,
  variant: _propTypes.default.any,
  size: _propTypes.default.any,
  onClick: _propTypes.default.func,
  id: _propTypes.default.string
};
//# sourceMappingURL=index.js.map