"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactFeather = require("react-feather");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) { return; } var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var styles = ".form-container {\n  position: relative; }\n  .form-container .form-select {\n    display: flex;\n    flex-direction: row;\n    justify-content: flex-start;\n    align-items: center;\n    cursor: pointer;\n    gap: 8px; }\n    .form-container .form-select--label {\n      color: black;\n      font-weight: 500;\n      font-size: .8125rem;\n      user-select: none; }\n    .form-container .form-select--arrow-down > svg {\n      width: 13px;\n      height: 13px;\n      vertical-align: middle; }\n    .form-container .form-select--options {\n      position: absolute;\n      bottom: 0;\n      left: 0;\n      padding: 0.25rem;\n      width: 100%;\n      z-index: 1;\n      box-shadow: 0 0.25rem 0.75rem rgba(18, 38, 63, 0.08);\n      text-align: left;\n      background-color: #fff;\n      background-clip: padding-box;\n      border: 1px solid #e9e9ef;\n      border-radius: 0.25rem;\n      min-width: 10rem;\n      transform: translate(0px, 100%);\n      transition: all 250ms linear; }\n      .form-container .form-select--options > div {\n        color: #495057;\n        display: flex;\n        align-items: center;\n        padding: 0.35rem 1rem; }\n      .form-container .form-select--options > div svg {\n        width: 16px;\n        height: 16px;\n        vertical-align: middle;\n        margin-right: 0.25rem; }\n      .form-container .form-select--options > div label {\n        display: block;\n        width: 100%;\n        clear: both;\n        font-weight: 400;\n        font-size: 0.8125rem;\n        text-align: inherit;\n        white-space: nowrap;\n        background-color: transparent;\n        border: 0; }\n    .form-container .form-select--show {\n      display: flex;\n      flex-direction: column;\n      gap: 8px;\n      height: auto; }\n    .form-container .form-select--hide {\n      height: 0;\n      overflow: hidden;\n      border: 0;\n      padding: 0; }\n";

function FormSelect(props) {
  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      show = _useState2[0],
      setShow = _useState2[1];

  var _useState3 = (0, _react.useState)(),
      _useState4 = _slicedToArray(_useState3, 2),
      selected = _useState4[0],
      setSelected = _useState4[1];

  var selectUniqueID = props.selectUniqueID,
      label = props.label,
      startIcon = props.startIcon,
      _props$options = props.options,
      options = _props$options === void 0 ? [] : _props$options,
      _props$getSelectedVal = props.getSelectedValue,
      getSelectedValue = _props$getSelectedVal === void 0 ? function () {
    /* */
  } : _props$getSelectedVal,
      _props$showSelectLabe = props.showSelectLabel,
      showSelectLabel = _props$showSelectLabe === void 0 ? false : _props$showSelectLabe,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled;

  var onClickHandler = function onClickHandler(event) {
    setShow(!show);
    event.stopPropagation();
    event.preventDefault();
  };

  var onSelectHandler = function onSelectHandler(event, val) {
    setSelected(val);
    getSelectedValue(val);
    setShow(false);
    event.stopPropagation();
  };

  return (
    /*#__PURE__*/
    _react.default.createElement(_react.default.Fragment, null,
    /*#__PURE__*/
    _react.default.createElement("div", {
      className: [styles["form-container"]].join(" ")
    },
    /*#__PURE__*/
    _react.default.createElement("div", {
      id: selectUniqueID,
      className: [styles["form-select"]].join(" "),
      onClick: onClickHandler
    }, startIcon &&
    /*#__PURE__*/
    _react.default.createElement("div", {
      className: [styles["form-select--start-icon"]].join(" "),
      "data-testid": "sticon"
    }, startIcon),
    /*#__PURE__*/
    _react.default.createElement("div", {
      className: [styles["form-select--label"]].join(" ")
    }, showSelectLabel ? selected === null || selected === void 0 ? void 0 : selected.label : label),
    /*#__PURE__*/
    _react.default.createElement("div", {
      className: styles["form-select--arrow-down"],
      "data-testid": "cheicon"
    },
    /*#__PURE__*/
    _react.default.createElement(_reactFeather.ChevronDown, null))),
    /*#__PURE__*/
    _react.default.createElement("div", {
      className: [styles["form-select--options"], styles["form-select--".concat(show && !disabled ? "show" : "hide")]].join(" "),
      "data-testid": "optionsid"
    }, options === null || options === void 0 ? void 0 : options.map(function (option, index) {
      return (
        /*#__PURE__*/
        _react.default.createElement("div", {
          key: index,
          "data-id": option === null || option === void 0 ? void 0 : option.id,
          "data-value": option === null || option === void 0 ? void 0 : option.value,
          onClick: function onClick(event) {
            return onSelectHandler(event, option);
          },
          "data-testid": "optionid"
        }, option === null || option === void 0 ? void 0 : option.leftIcon,
        /*#__PURE__*/
        _react.default.createElement("label", {
          "data-testid": "label"
        }, option === null || option === void 0 ? void 0 : option.label), option === null || option === void 0 ? void 0 : option.rightIcon)
      );
    }))))
  );
}

FormSelect.propTypes = {
  selectUniqueID: _propTypes.default.string,
  label: _propTypes.default.string,
  startIcon: _propTypes.default.node,
  options: _propTypes.default.arrayOf(_propTypes.default.shape({
    id: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
    label: _propTypes.default.string,
    value: _propTypes.default.string,
    leftIcon: _propTypes.default.node,
    rightIcon: _propTypes.default.node
  })),
  getSelectedValue: _propTypes.default.func,
  showSelectLabel: _propTypes.default.bool,
  disabled: _propTypes.default.bool
};
var _default = FormSelect;
exports.default = _default;
//# sourceMappingURL=index.js.map