(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = FormButton;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  const variantTypes = {
    filled: "filled",
    outlined: "outlined",
    rounded: "rounded"
  };
  const sizeTypes = {
    sm: "sm",
    md: "md",
    lg: "lg"
  };

  function FormButton(props) {
    const {
      children,
      size = 'sm',
      variant = "filled",
      innerRef,
      onClick = () => {
        /* */
      },
      startIcon = null,
      endIcon = null
    } = props;

    const onClickHandler = e => {
      onClick(e);
      e.stopPropagation();
      e.preventDefault();
    };

    return (
      /*#__PURE__*/
      _react2.default.createElement(_react2.default.Fragment, null,
      /*#__PURE__*/
      _react2.default.createElement("button", {
        onClick: onClickHandler,
        ref: innerRef,
        "data-testid": props.id
      }, startIcon &&
      /*#__PURE__*/
      _react2.default.createElement("span", {
        "data-testid": "sticon"
      }, startIcon), children, endIcon &&
      /*#__PURE__*/
      _react2.default.createElement("span", {
        "data-testid": "endicon"
      }, endIcon)))
    );
  }

  FormButton.propTypes = {
    children: _propTypes2.default.node,
    variant: _propTypes2.default.any,
    size: _propTypes2.default.any,
    onClick: _propTypes2.default.func,
    id: _propTypes2.default.string
  };
});
//# sourceMappingURL=index.js.map